WinCrypt.CERT_EXTENSIONS (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CERT_EXTENSIONS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_EXTENSIONS

- Direct Known Subclasses:
    WinCrypt.CERT_EXTENSIONS.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"cExtension","rgExtension"})
      public static class WinCrypt.CERT_EXTENSIONS
      extends Structure

  The CERT_EXTENSIONS structure contains an array of extensions.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CERT_EXTENSIONS.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cExtension`
    `Pointer` | `rgExtension`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT_EXTENSIONS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinCrypt.CERT_EXTENSION[]` | `getRgExtension()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cExtension

          public int cExtension

    - #### rgExtension

          public Pointer rgExtension

  - ### Constructor Detail

    - #### CERT_EXTENSIONS

          public CERT_EXTENSIONS()

  - ### Method Detail

    - #### getRgExtension

          public WinCrypt.CERT_EXTENSION[] getRgExtension()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.